Capture API

This will capture the transaction which is in the AUTHORIZED state.
We support both full-capture and partial-capture (up to the amount pre-authorized).

Note

Partial Capture flow is currently supported only via CYBERSOURCE Gateway

  • On successful full capture, the transaction is marked CHARGED and the order status is also CHARGED.

  • On successful partial capture, the API accepts an additional amount and idempotence_key parameters. While the transactions remain CHARGED, the order status updates to PARTIAL_CHARGED.

Status Understanding:

Scroll inside to view more
Payment Gateway Response
Juspay Transaction Status
Success
CHARGED
Failed
CAPTURE_FAILED
Accepted and pending by gateway
CAPTURE_INITIATED
Timeout/ No response from gateway
AUTHORIZED
API Endpoints
Sandbox Link
POST
https://sandbox.juspay.in/v2/txns/{txn_uuid}/capture
Production Link
POST
https://api.juspay.in/v2/txns/{txn_uuid}/capture
Authorization Header
Headers
Path Params
Body
200 : Success
400 : Invalid Input data
401 : Authentication Failed
Last updated 1 month ago